Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotationTextMarkup

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
          org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
              org.pdfbox.pdmodel.interactive.annotation.PDAnnotationTextMarkup

All Implemented Interfaces:
  COSObjectable

public class PDAnnotationTextMarkup
extends PDAnnotationMarkup

This is the abstract class that represents a text markup annotation Introduced in PDF 1.3 specification, except Squiggly lines in 1.4.

Version:
  $Revision: 1.1 $
Author:
  Paul King

Field Summary
`static String` | `SUB_TYPE_HIGHLIGHT` The types of annotation.
`static String` | `SUB_TYPE_SQUIGGLY` The types of annotation.
`static String` | `SUB_TYPE_STRIKEOUT` The types of annotation.
`static String` | `SUB_TYPE_UNDERLINE` The types of annotation.

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`RT_GROUP, RT_REPLY`

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`FLAG_HIDDEN, FLAG_INVISIBLE, FLAG_LOCKED, FLAG_NO_ROTATE, FLAG_NO_VIEW, FLAG_NO_ZOOM, FLAG_PRINTED, FLAG_READ_ONLY, FLAG_TOGGLE_NO_VIEW`

Constructor Summary
`PDAnnotationTextMarkup(COSDictionary field)` Creates a TextMarkup annotation from a COSDictionary, expected to be a correct object definition.
`PDAnnotationTextMarkup(String subType)` Creates a TextMarkup annotation of the specified sub type.

Method Summary
`float[]` | `getQuadPoints()` This will retrieve the set of quadpoints which encompass the areas of this annotation.
`String` | `getSubtype()` This will retrieve the sub type (and hence appearance, AP taking precedence) For this annotation.
`void` | `setQuadPoints(float[] quadPoints)` This will set the set of quadpoints which encompass the areas of this annotation.
`void` | `setSubtype(String subType)` This will set the sub type (and hence appearance, AP taking precedence) For this annotation.

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`getConstantOpacity, getCreationDate, getInReplyTo, getIntent, getPopup, getReplyType, getRichContents, getSubject, getTitlePopup, setConstantOpacity, setCreationDate, setInReplyTo, setIntent, setPopup, setReplyType, setRichContents, setSubject, setTitlePopup`

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`createAnnotation, getAction, getActions, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceStream, getBoderStyle, getColour, getContents, getCOSObject, getDictionary, getModifiedDate, getRectangle, isHidden, isInvisible, isLocked, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAction, setActions, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceStream, setBorderStyle, setColour, setContents, setHidden, setInvisible, setLocked, setModifiedDate, setNoRotate, setNoView, setNoZoom, setPrinted, setReadOnly, setRectangle, setToggleNoView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_TYPE_HIGHLIGHT

    public static final String SUB_TYPE_HIGHLIGHT

  The types of annotation.

  See Also:
    Constant Field Values

### SUB_TYPE_UNDERLINE

    public static final String SUB_TYPE_UNDERLINE

  The types of annotation.

  See Also:
    Constant Field Values

### SUB_TYPE_SQUIGGLY

    public static final String SUB_TYPE_SQUIGGLY

  The types of annotation.

  See Also:
    Constant Field Values

### SUB_TYPE_STRIKEOUT

    public static final String SUB_TYPE_STRIKEOUT

  The types of annotation.

  See Also:
    Constant Field Values

Constructor Detail

### PDAnnotationTextMarkup

    public PDAnnotationTextMarkup(String subType)

  Creates a TextMarkup annotation of the specified sub type.

Parameters:
  `subType` - the subtype the annotation represents

### PDAnnotationTextMarkup

    public PDAnnotationTextMarkup(COSDictionary field)

  Creates a TextMarkup annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF objet to represent as a field.

Method Detail

### setQuadPoints

    public void setQuadPoints(float[] quadPoints)

  This will set the set of quadpoints which encompass the areas of this annotation.

  Parameters:
    `quadPoints` - an array representing the set of area covered

### getQuadPoints

    public float[] getQuadPoints()

  This will retrieve the set of quadpoints which encompass the areas of this annotation.

  Returns:
    An array of floats representing the quad points.

### setSubtype

    public void setSubtype(String subType)

  This will set the sub type (and hence appearance, AP taking precedence) For this annotation. See the SUB_TYPE_XXX constants for valid values.

  Parameters:
    `subType` - The subtype of the annotation

### getSubtype

    public String getSubtype()

  This will retrieve the sub type (and hence appearance, AP taking precedence) For this annotation.

  Returns:
    The subtype of this annotation, see the SUB_TYPE_XXX constants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD